
Foreman - Bug #14645

Images for plugins in production mode result in 404s

04/14/2016 10:20 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web Interface   

Target version: 1.11.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1327233 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3423

  

Description

Images are going through the legacy asset helpers in sprockets-rails, we need to fix that.

For plugins we need to ensure that the digest is looking up digested assets in production and ensure that the prefix is set in order to

generate the proper path for the assets.

This will allow the use of image-url in sass for the correct retrieval of digested images.

Associated revisions

Revision db851032 - 04/15/2016 04:54 AM - Walden Raines

Fixes #14645: fix production images for plugins.

Images were going through the legacy asset helpers in

sprockets-rails, this commit sets some options on the context

class to ensure we are looking up digested images in the correct

path.

http://projects.theforeman.org/issues/14645

Revision 84146650 - 04/18/2016 01:45 PM - Walden Raines

Fixes #14645: fix production images for plugins.

Images were going through the legacy asset helpers in

sprockets-rails, this commit sets some options on the context

class to ensure we are looking up digested images in the correct

path.

http://projects.theforeman.org/issues/14645

(cherry picked from commit db8510329fc284bd17cea01df09ea0a5f4f5364b)

History

#1 - 04/14/2016 10:22 AM - Walden Raines

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3423 added

#2 - 04/14/2016 10:26 AM - Walden Raines

- Bugzilla link set to 1327233

#3 - 04/15/2016 05:01 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset db8510329fc284bd17cea01df09ea0a5f4f5364b.
#4 - 04/15/2016 10:09 AM - Dominic Cleal

- translation missing: en.field_release set to 141
